:root {
  --padding-btn-x: 20px;
  --padding-btn-y: 5px;
  --padding-btn-sm-x: 15px;
  --padding-btn-sm-y: 3px;
}
.btn {
	border-radius: 4px; 
  transition: background-color .4s ease, color .4s ease;
  padding-inline: var(--padding-btn-x);
  background-color: var(--color-secondary);
  display: inline-flex !important;
  align-items: center;
  line-height: 1;
  font-weight: 500;
  font-family: var(--font-family-headings);
  cursor: pointer !important;
  font-size: 16px;
  gap: 5px;
  min-height: 48px;
}
@media (max-width: 576px) {
  .btn {
    padding: var(--padding-btn-sm-y) var(--padding-btn-sm-x);
    font-size: 13px;
  }
}
@media (max-width: 400px) {
  .btn {
    font-size: 11px;
  }
}
.btn:hover {
  background-color: var(--color-secondary-hover); 
  color: var(--color-white);
}
.btn i {
  all: unset;
  margin-left: 10px;
  font-size: 12px !important;
}
.btn.button-is-loading.add-to-cart-button {
	justify-content: center !important; 
}
/* Overrule default button */
.button, button {
  border-radius: 4px; 
  transition: background-color .4s ease, color .4s ease;
  padding-inline: var(--padding-btn-x);
  display: inline-flex;
  width: fit-content !important;
  align-items: center;
  line-height: 1;
  font-weight: 500;
  font-family: var(--font-family-headings);
  font-size: 16px;
  gap: 5px;
}
.service-sidelink {
  border-radius: 4px; 
  transition: background-color .4s ease, color .4s ease;
  font-weight: 500;
  font-family: var(--font-family-headings);
  font-size: 16px;
}
.service-sidelink:hover {
	background-color: var(--color-primary);
  color: var(--color-white);
}
/* Search */
#search-results .button {
  border-radius: 4px;
  transition: background-color .4s ease, color .4s ease;
  background-color: var(--color-secondary);
}
#search-results .button:hover {
  background-color: var(--color-secondary-hover); 
  color: var(--color-white);
}
.btn.btn-primary {
	background-color: var(--color-primary) !important; 
  color: var(--color-white);
}
.btn.btn-primary i {
  color: var(--color-white);
}
.btn.btn-primary:hover {
	background-color: var(--color-primary-hover) !important; 
}
.btn.btn-secondary {
  color: var(--color-white) !important;
}
.btn.btn-secondary:hover {
	background-color: var(--color-secondary-hover) !important; 
}
.btn.btn-tertiary {
	background-color: var(--color-third); 
  color: var(--color-white);
}
.btn.btn-tertiary:hover {
	background-color: var(--color-primary); 
}
.btn.btn-tertiary i {
	background-color: var(--color-white); 
}
.btn.btn-white {
	background-color: var(--color-white); 
  color: var(--color-black);
}
.btn.btn-white:hover {
	background-color: var(--color-primary);
	color: var(--color-white); 
}
.btn.btn-white:hover i {
}
.btn.btn-black {
	background-color: var(--color-black); 
  color: var(--color-white);
}
.btn.btn-black:hover {
	background-color: var(--color-black-hover); 
}
.btn.btn-success {
	background-color: var(--color-success); 
  color: var(--color-white);
}
.btn.btn-success:hover {
	background-color: var(--color-success-hover); 
}
.btn.btn-outline-white {
  background-color: unset;
	border: 1px solid var(--color-white); 
}
.btn.btn-outline-white:hover {
	background-color: var(--color-white);
  color: var(--color-primary);
}
.btn.btn-outline-white:hover i {
	color: var(--color-white);
}
.btn.btn-outline-white i {
	background-color: var(--color-primary); 
}
.btns {
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
}
@media (max-width: 576px) {
  .btns {
    gap: 10px;
  } 
}
/* Link */
.link {
  font-weight: 500;
  font-size: 16px;
  display: inline-flex;
  align-items: center;
  white-space: nowrap;
  transition: color .4s ease, text-underline-offset .4s ease;
  color: var(--color-black);
  font-family: var(--font-family-headings);
}
.link:hover {
  color: var(--color-primary);
}
@media (max-width: 576px) {
	.link {
  	font-size: 12px;
  }
}
.link i {
	margin-left: 10px;
}
/* Labels */
.label {
  display: inline-flex;
  padding: 5px 12px;
  justify-content: center;
  align-items: center;
  background-color: var(--color-secondary);
  border-radius: var(--border-radius-pill);
  color: var(--color-white);
  font-size: 12px;
  font-weight: 700;
  line-height: 1;
}
.label--black {
  background-color: var(--color-black);
}
.label-brand__wrapper {
  left: 10px;
  bottom: 10px;
  position: absolute;
  z-index: 100;
  display: flex;
  flex-direction: column;
  gap: 5px;
}
.label-brand {
  padding: 2px 10px 3px 10px;
  background: #F3F2F2;
  border-radius: var(--border-radius-pill);
  width: fit-content;
  font-size: 10px;
  font-weight: 500;
}
.label-brand i {
	margin-right: 5px; 
}